[Python-de] Python 2.3 & Vista

Marek Kubica pythonmailing at web.de
Di Mär 13 17:21:52 UTC 2007


Servus,

On Tue, 13 Mar 2007 09:20:41 +0100
Alexander 'boesi' Bösecke <boesi.josi at gmx.net> wrote:

> Nachdem jetzt auf neuen Rechnern fast nur noch Windows Vista
> vorinstalliert ist, stellt sich mir die Frage, ob Python 2.3 unter
> diesem Betriebssystem vernüftig läuft.
> 
> Zu Python 2.4 hab ich Erfolgsmeldungen im Netz gefunden. Aber wie
> sieht das mit älteren Versionen aus, die noch nicht MSI zum
> installieren nutzen? 
Nutze zwar kein so altes Python und auch kein Vista, aber Erfahrung hat
gezeigt, dass Python in der Regel auch auf neuen Windows-Versionen
laufen sollte.

> Und hat jemand schon Erfahrungen mit zusätzlichen Packeten (konkret
> wxPython, pygame, PIL, aggdraw, pyVideo & win32all) sammeln können?
wxPython/wxWidgets sollte unter Vista vernünftig laufen [1][2]. Pygame
und SDL dito [3], PIL enthält wohl auch kaum Code der unter Windows
plötzlich aussetzen sollte und von pywin32 würde ich keine Probleme
erwarten.

Aber du kannst mal einfach versuchen es einfach unter Vista zu starten.
Wenn du kein Vista hast kannst du bei Microsoft nach einer Beta suchen,
und vielleicht läuft die in einer VM - zu Testzwecken sollte es
ausreichend sein.

grüße,
Marek


[1] http://wxwidgets.blogspot.com/2007/02/wxwidgets-under-vista.html
[2] http://wxwidgets.org/docs/faqmsw.htm
[3] http://www.gamedev.net/community/forums/topic.asp?topic_id=436905